{
  "name": "ablogcms",
  "version": "3.1.68",
  "description": "自分でらくらく更新できる国産CMS",
  "private": true,
  "keywords": [
    "CMS"
  ],
  "browserslist": [
    "defaults",
    "safari >= 12"
  ],
  "workspaces": [
    "ablogcms/themes/system"
  ],
  "homepage": "https://www.a-blogcms.jp",
  "scripts": {
    "test": "exit 0",
    "clean:tmp": "rm -rf _tmp && rm -rf build",
    "package:cms": "node ./tools/build-cms.js",
    "package:omake": "node ./tools/omake.js",
    "package": "npm run clean:tmp && npm run setup prod && npm run build:ci && npm run build:theme && npm run package:omake && npm run package:cms",
    "upload": "scp -r -P 10022 ./build/* appleple2018@sv7056.xserver.jp:/home/appleple2018/a-blogcms.jp/public_html/developer/_package/",
    "deploy": "npm run upload && node ./tools/deploy.js",
    "version:sync": "node ./tools/version.js",
    "release:commit": "node ./tools/commit.js",
    "release:patch": "npm version patch --no-git-tag-version && npm run version:sync && npm run release:commit",
    "eslint": "eslint \"ablogcms/{acms.js,js/src/**/*.{js,ts,jsx,tsx}}\"",
    "stylelint": "stylelint \"ablogcms/{acms.js,js/src/**/*.{js,ts,jsx,tsx}}\" \"ablogcms/themes/system/src/**/*.{css,scss}\"",
    "prettier": "prettier \"ablogcms/{acms.js,js/src/**/*.{js,ts,jsx,tsx}}\" \"ablogcms/themes/system/src/**/*.{css,scss}\" --write",
    "tsc": "tsc -b",
    "prebuild": "npm run build:system",
    "prebuild:ci": "npm run build:system",
    "build:docs": "node ./tools/upload-docs.js",
    "build:theme": "node ./tools/theme.js",
    "build:ci": "npm run build:js",
    "build:js": "cross-env NODE_OPTIONS=--max_old_space_size=2048 --gc_interval=100 webpack --mode production --config webpack.prod.js",
    "build": "npm run tsc && npm run build:js",
    "dev": "webpack --watch --mode development --config webpack.dev.js",
    "start": "webpack-dev-server --mode development --config webpack.dev.js",
    "analyze": "webpack --mode production --config webpack.analyze.js",
    "build:system": "npm run build --workspace=acms.css --if-present",
    "dev:system": "npm run dev --workspace=acms.css --if-present",
    "setup": "node ./tools/setup.js",
    "i18n": "find ablogcms/php -type f \\( -name '*.php' \\)  -print > ablogcms/lang/list && xgettext --files-from=ablogcms/lang/list --from-code=UTF-8 --language=PHP -o ablogcms/lang/messages-php.pot",
    "prepare": "husky",
    "postinstall": "patch-package"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@bitbucket.org:appleple/ablogcms.git"
  },
  "author": "appleple",
  "license": "appleple",
  "devDependencies": {
    "@babel/cli": "^7.25.6",
    "@babel/core": "^7.25.2",
    "@babel/plugin-proposal-class-properties": "^7.13.0",
    "@babel/plugin-transform-modules-commonjs": "^7.24.8",
    "@babel/plugin-transform-runtime": "^7.25.4",
    "@babel/preset-env": "^7.25.4",
    "@babel/preset-react": "^7.24.7",
    "@babel/preset-typescript": "^7.24.7",
    "@babel/runtime": "^7.25.6",
    "@types/body-scroll-lock": "^3.1.2",
    "@types/clone": "^2.1.4",
    "@types/dompurify": "^3.0.5",
    "@types/file-saver": "^2.0.7",
    "@types/jquery": "^3.5.30",
    "@types/keyboardjs": "^2.5.3",
    "@types/mime-types": "^2.1.4",
    "@types/react": "^18.3.5",
    "@types/react-dom": "^18.3.0",
    "@types/throttle-debounce": "^5.0.2",
    "@types/uuid": "^10.0.0",
    "@types/webpack": "^5.28.5",
    "@typescript-eslint/eslint-plugin": "^8.4.0",
    "@typescript-eslint/parser": "^8.4.0",
    "add-charset-webpack-plugin": "^1.0.6",
    "archiver": "^1.3.0",
    "autoprefixer": "^10.4.20",
    "babel-loader": "^9.1.3",
    "babel-plugin-minify-dead-code-elimination": "^0.5.2",
    "browserslist": "^4.23.3",
    "co": "^4.6.0",
    "copy-webpack-plugin": "^12.0.2",
    "cross-env": "^7.0.3",
    "css-loader": "^7.1.2",
    "eslint": "^8.57.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-prettier": "^9.1.0",
    "eslint-import-resolver-typescript": "^3.6.3",
    "eslint-import-resolver-webpack": "^0.13.8",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-jsx-a11y": "^6.9.0",
    "eslint-plugin-react": "^7.35.1",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-webpack-plugin": "^4.2.0",
    "fs-extra": "^11.2.0",
    "husky": "^9.1.5",
    "license-webpack-plugin": "^4.0.2",
    "lint-staged": "^15.2.10",
    "mini-css-extract-plugin": "^2.9.1",
    "node-cmd": "^4.0.0",
    "patch-package": "^8.0.0",
    "postcss": "^8.4.44",
    "postcss-loader": "^8.1.1",
    "postcss-styled-syntax": "^0.6.4",
    "prettier": "^3.3.3",
    "request-progress": "^3.0.0",
    "stream-browserify": "^3.0.0",
    "stylelint": "^16.9.0",
    "stylelint-config-recess-order": "^5.1.0",
    "stylelint-config-standard": "^36.0.1",
    "typescript": "^5.5.4",
    "uglify-js": "^3.19.3",
    "webpack": "^5.94.0",
    "webpack-bundle-analyzer": "^4.10.2",
    "webpack-bundle-size-analyzer": "^3.1.0",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^5.1.0",
    "webpack-merge": "^6.0.1",
    "webpack-remove-empty-scripts": "^1.0.4"
  },
  "dependencies": {
    "@appleple/react-trello": "^1.0.11",
    "@dnd-kit/core": "^6.1.0",
    "@dnd-kit/modifiers": "^7.0.0",
    "@dnd-kit/sortable": "^8.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "a-table": "^1.5.10",
    "aria-hidden": "^1.2.4",
    "axios": "^1.12.2",
    "body-scroll-lock": "^3.1.5",
    "buffer": "^6.0.3",
    "canvas-toBlob": "^1.0.0",
    "classnames": "^2.5.1",
    "clone": "^2.1.2",
    "cookie": "^1.0.2",
    "copy-to-clipboard": "^3.3.3",
    "core-js": "^3.38.1",
    "cropperjs": "^1.6.2",
    "custom-field-maker": "^1.5.24",
    "dayjs": "^1.11.13",
    "document-outliner": "^1.1.3",
    "dompurify": "^3.1.6",
    "exif-js": "^2.3.0",
    "file-saver": "^2.0.5",
    "flatpickr": "^4.5.2",
    "focus-trap": "^7.5.4",
    "geo-picker": "^1.0.4",
    "google-maps": "^4.3.3",
    "highlight.js": "^11.10.0",
    "html-entities": "^1.4.0",
    "html2canvas-pro": "^1.5.11",
    "i18next": "^23.14.0",
    "i18next-http-backend": "^2.6.1",
    "image-focus": "^1.2.1",
    "keyboardjs": "^2.7.0",
    "leaflet": "^1.9.4",
    "lite-editor": "^2.0.0",
    "lite-editor-emoji-picker-plugin": "^4.0.1",
    "lozad": "^1.16.0",
    "mime-types": "^2.1.35",
    "modal-video": "^2.4.8",
    "nestify": "^1.0.8",
    "path-browserify": "^1.0.1",
    "pdfjs-dist": "^4.3.136",
    "perfect-scrollbar": "^1.5.5",
    "pretty-scroll": "^1.1.7",
    "process": "^0.11.10",
    "prop-types": "^15.8.1",
    "punycode": "^2.3.1",
    "qs": "^6.14.0",
    "rc-slider": "^11.1.5",
    "react": "^18.3.1",
    "react-content-loader": "^7.0.2",
    "react-device-mode": "^1.4.4",
    "react-dom": "^18.3.1",
    "react-nestable": "^3.0.2",
    "react-nl2br": "^1.0.4",
    "react-redux": "^9.1.2",
    "react-select": "^5.8.0",
    "react-tooltip": "^5.28.0",
    "redux": "^5.0.1",
    "redux-saga": "^1.3.0",
    "scroll-hint": "^1.2.8",
    "select2": "^4.0.13",
    "smartblock": "^1.4.7",
    "smartphoto": "^1.6.5",
    "styled-components": "^6.1.13",
    "swr": "^2.2.5",
    "throttle-debounce": "^5.0.2",
    "trumbowyg": "2.27.3",
    "ui-expand": "0.0.7",
    "underscore": "^1.13.7",
    "unescape": "^1.0.1",
    "uuid": "^10.0.0",
    "zxcvbn": "^4.4.2"
  },
  "lint-staged": {
    "ablogcms/themes/system/src/**/*.{css,scss,js}": [
      "prettier --write",
      "stylelint --fix"
    ],
    "ablogcms/{acms.js,js/src/**/*.{js,ts,jsx,tsx}}": [
      "prettier --write",
      "stylelint --fix",
      "eslint --fix"
    ]
  }
}
